Subject: Re: [PATCH v4] http: add support for specifying an SSL cipher list

From: Junio C Hamano <[email-masked]>
Date: Fri, 08 May 2015 08:59:17 -0700

SZEDER Gábor <[email-masked]> writes:

> ... or with 'git -c http.sslCipherList <cmd>' on the command line (but I
> don't think it should be mentioned here that a config variable from a
> config file can be overridden via 'git -c', because that's true for all
> config variables anyway).

I do not think it would be very useful in practice anyway, so I
agree we should not add it there.  You would not use the blanket
http.sslCipherList but target-specific http.<url>.sslCipherList more
often to work around specific quirks of one site in your
configurtion, and specifying the blanket form with "-c" on the
command line would not defeat that.

Speaking of urlmatch-assisted configuration variables, do they get
TAB completed on the command line?